/*

NSString-NIRAdditions.h

DirectionService - controll writting direction
Copyright (C) 2003 Nir Soffer

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
details: http://www.gnu.org/licenses/gpl.html

*/

#import <Cocoa/Cocoa.h>


@interface NSString (NSStringNIRAdditions)

// Add encoding support for Cocoa stringWithContentsOfFile:
// Note: file should be absolute path
+ (id)stringWithContentsOfFile:(NSString *)absolutePath
                      encoding:(unsigned)encoding;

// Shortcut for stringWithCharacters:length: for one character case
+ (id)stringWithCharacter:(unichar)aUnichar;

// Quering
- (BOOL)hasLines;
- (NSRange)range;


// Reversing
- (NSString *)stringByReversingLiterally:(BOOL)literally;

@end


@interface NSMutableString (NSMutableStringNIRAdditions)

// Complete deleteCharactersInRange:, when you know the characters but not the
// location
- (unsigned)deleteCharactersFromSet:(NSCharacterSet *)charSet;
- (unsigned)deleteCharactersFromSet:(NSCharacterSet *)charSet
                            options:(unsigned int)mask
                              range:(NSRange)searchRange;

@end
