//
//  NSString-FriBidiAdditions.m
//  Hebrew Service
//
//  Created by Nir on 19/1/2006.
//

#import "NSString-FriBidiAdditionsTest.h"
#import "NSString-FriBidiAdditions.h"

// Make Python like unicode string literals
static NSString *U(const char *s)
{
    return [NSString stringWithUTF8String:s];
}


@implementation NSString_FriBidiAdditionsTest

- (void)testEmptyString
{
    NSString *test = U("");
    [self assert:[test stringByOrderingVisually]
          equals:test];
}

- (void)testLTR
{
    NSString *test = U("hello - שלום");
    [self assert:[test stringByOrderingVisually] 
          equals:U("hello - םולש")];
}

- (void)testRTL
{
    NSString *test = U("שלום - hello");
    [self assert:[test stringByOrderingVisually] 
          equals:U("hello - םולש")];
}

- (void)testBigString
{
    // Create a big string.
    unsigned int length = 1024;
    NSMutableString *test = [NSMutableString stringWithCapacity:length];
    int i;
    for (i = 0; i < length; i++) [test appendString:@"x"];
    
    [self assert:[test stringByOrderingVisually]
          equals:test];
}

@end
